Name: x11-driver-video-v4l
Version: 0.3.0
Release: %mkrel 3
Summary: Xvideo extension port for video overlay
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-v4l-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.19.0
BuildRequires: pkgconfig(xorg-server) >= 1.17
BuildRequires: x11-util-macros >= 1.0.1
# (tv): v4l need the extmod module
Requires: x11-server-common
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
v4l is an Xorg driver for video4linux cards. It provides a Xvideo
extension port for video overlay.

%prep
%setup -q -n xf86-video-v4l-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/v4l_drv.so
%{_mandir}/man4/v4l.*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1518573
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1301777
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 tv <tv> 0.3.0-1.mga7
+ Revision: 1251721
- new release

* Thu Jun 21 2018 wally <wally> 0.2.0-34.mga7
+ Revision: 1238592
- fix build on aarch64
- drop .la files
- drop old conflicts

* Sat Mar 17 2018 tv <tv> 0.2.0-33.mga7
+ Revision: 1210046
- patch 3: remove call to no more existing LoaderGetOS

* Fri Mar 09 2018 tv <tv> 0.2.0-32.mga7
+ Revision: 1207644
- rebuild for xserver 1.20 RC1

* Fri Mar 10 2017 akien <akien> 0.2.0-31.mga6
+ Revision: 1091640
- Rebuild for v4l-utils 1.12.3

* Thu Nov 17 2016 tv <tv> 0.2.0-30.mga6
+ Revision: 1067626
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.2.0-29.mga6
+ Revision: 1043299
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 0.2.0-28.mga6
+ Revision: 963445
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.2.0-27.mga6
+ Revision: 902273
- submit to core/release

* Tue Nov 10 2015 tv <tv> 0.2.0-26.mga6
+ Revision: 901411
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 0.2.0-25.mga6
+ Revision: 835814
- rebuild for xserver 1.17 (with patch)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-24.mga5
+ Revision: 746495
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-23.mga5
+ Revision: 690467
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.2.0-22.mga5
+ Revision: 634987
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.2.0-21.mga5
+ Revision: 633652
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.2.0-20.mga5
+ Revision: 614326
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.2.0-19.mga5
+ Revision: 582232
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-18.mga4
+ Revision: 525387
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 0.2.0-17.mga4
+ Revision: 433126
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-16.mga4
+ Revision: 386033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 0.2.0-15.mga3
+ Revision: 288996
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 0.2.0-14.mga3
+ Revision: 256510
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.2.0-13.mga3
+ Revision: 252970
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.2.0-12.mga3
+ Revision: 249809
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 0.2.0-11.mga2
+ Revision: 177484
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.2.0-10.mga2
+ Revision: 153306
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.2.0-9.mga2
+ Revision: 153090
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.2.0-8.mga1
+ Revision: 64422
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.2.0-7.mga1
+ Revision: 50339
- imported package x11-driver-video-v4l


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.2.0-7mdv2011.0
+ Revision: 595714
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.2.0-6mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 0.2.0-5mdv2010.1
+ Revision: 464345
- rebuild for new xserver

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-4mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

  + Thierry Vignaud <tv@mandriva.org>
    - fix group

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.0-3mdv2009.1
+ Revision: 308179
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.2.0-2mdv2009.0
+ Revision: 265985
- rebuild early 2009.0 package (before pixel changes)

* Mon May 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0-1mdv2009.0
+ Revision: 206274
- Update to upstream version 0.2.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.1.1-6mdv2008.1
+ Revision: 166156
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.1.1-5mdv2008.1
+ Revision: 156626
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.1.1-4mdv2008.1
+ Revision: 154787
- Updated BuildRequires and resubmit package.
- rm -f %%{buildroot}/%%{_libdir}/xorg/modules/drivers/*.la
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-v4l-0.1.1@mandriva suggested on upstream
  Tag at git checkout 6260e7a8166cefb57c85d3e6aa3ac9f421e2a8b9
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.1.1-3mdv2008.1
+ Revision: 97219
- new release (to build against new x11-server)
- minor spec cleanup

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdv2008.0
+ Revision: 75824
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:11:32 (36659)
- new upstream release

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 21:50:58 (31394)
- Requires x11-server-common since v4l need the extmod module

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 21:50:32 (31393)
- fill in description & summary

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

